Selene 16.3 Supports Encoding A Portion Of An Audio or A Video Files

Selene is an Audio and Video converter for Linux operating systems. It is written using Vala and GTK. It’s available with a graphical user interface and command line interface for automated/unattended encoding.

The recent release of Selene comes with a couple new handy features which are:

  • Trim Duration:

It allows you to encode a portion of audio or video files. Select the start segment and the end segment in the required file then select the required preset you desire for the output file and press start to encode.

  • Batch Auto-Crop

Video Crop is a convenient tool for removing black borders for videos and It has never been easier in Selene, just select the cropping parameters for videos and add them in a queue “batch cropping window” to auto-crop them one by one.

  • MPV Media Player Support

The latest release of Mplayer is outdated on the repository of Ubuntu and it doesn’t support playing H265 videos. So this release supports MPV video player as the back end to play audio and video files inside Selene and you can select which media player to work with inside Selene form the settings window.

Selene-Media-Converter-screenshot

Selene isn’t limited with these features only, it supports command line interface for unattended/automated encoding, bash scripting to control the encoding process check this example Here.

Selene supports encoding the following formats MKV/MP4/OGV/WEBM for video and these formats MP3/AAC/OGG/OPUS/FLAC/WAV for audio.

Make sure you check the help command for Selene

selene --help

An Additional dependency required to encode AAC/MP4 formats

To encode AAC/MP4 formats you will need to install an additional dependency called NeroAAC encoder. Check the following instruction down below.

cd /tmp
wget http://ftp6.nero.com/tools/NeroAACCodec-1.5.1.zip
unzip -j NeroAACCodec-1.5.1.zip linux/neroAacEnc
sudo install -m 0755 neroAacEnc /usr/bin
sudo apt-get install gpac

[note]FYI, Currently, the latest release available on the repository is Selene 16.3. and no mention for this release on the blog. The recent features mentioned in this post are announced in this post for Selene 16.2.5.[/note]

[How To]: Install Selene on Ubuntu-based distributions

The latest release of Selene 16.3 is built in the following repository and it’s applicable for these Linux distribution Ubuntu 16.04 LTS “Xenial Xerus”, Ubuntu 15.10 “Wily Werewolf”, Ubuntu 15.04 “Vivid Vervet” and Ubuntu 14.04 LTS “Trusty Tahr” and if you are running any Linux distribution based on those aforesaid such as Elementary OS, Linux Mint, …etc, you can install Selene on it with the following commands.

sudo apt-add-repository -y ppa:teejee2008/ppa
sudo apt-get update
sudo apt-get install selene

For other Linux distribution follow the instructions Here for the appropriate installer for your operating system architecture.

Post updated.

Leave a Reply